## usb-modeswitch-data 20100127

=== Makefile ===
PROG        = usb_modeswitch-data
VERS        = 1.1.0-20100127
RM          = /bin/rm -f
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
UDEVDIR     = $(DESTDIR)/lib/udev
RULESDIR    = $(UDEVDIR)/rules.d
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1


.PHONY:     clean

all:

clean:

install: files-install rules-reload

files-install:
	install -d $(ETCDIR)/usb_modeswitch.d
	install --mode=644 -t $(ETCDIR)/usb_modeswitch.d ./usb_modeswitch.d/*
	install -d $(RULESDIR)
	install --mode=644 40-usb_modeswitch.rules $(RULESDIR)

rules-reload:
	if [ -f $(ETCDIR)/issue ]; then \
		if [ -n `which udevadm 2>/dev/null` ]; then \
			UDEVADM=`which udevadm`; \
			UDEVADM_VER=`$$UDEVADM -V 2>/dev/null`; \
			if [ -z $$UDEVADM_VER ]; then \
				UDEVADM_VER=`$$UDEVADM --version 2>/dev/null`; \
			fi; \
			if [ $$UDEVADM_VER -gt 127 ]; then \
				$$UDEVADM control --reload-rules; \
			else \
				$$UDEVADM control --reload_rules; \
			fi \
		elif [ `which udevcontrol 2>/dev/null` ]; then \
		`which udevcontrol` reload_rules; \
		fi \
	fi

uninstall: files-uninstall rules-reload

files-uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(RULESDIR)/40-usb_modeswitch.rules
	$(RM) -R $(ETCDIR)/usb_modeswitch.d

.PHONY:    clean install uninstall

=== debian/changelog ===
usb-modeswitch-data (20100127-1) unstable; urgency=low

  * New upstream release.
    + New devices
      [072f:200d] InfoCert Business Key (SmartCard/Reader emulation)
      [106c:3b06] UTStarcom UM185E (distributor "Alltel")
    - Devices removal
      [057c:84ff] AVM Fritz!Wlan USB Stick N
  * Add a debian/watch.
  * Add a preinst to correctly delete the removed devices.
  * Use upstream's Makefile
  * Bump requirements.
  * Add a bug-presubj to tell people about the new rules politics
  * Add a dependency on udev (>= 0.140-1) (Closes: #567327)
  * Patches:
    + 01_no_udev_reload.patch
       Add to avoid the useless udev rules reload.
    - 05_move_wrappers_to_usr.patch
       Remove. Now works differently.
    - 07_SYSFS_to_ATTRS.patch
       Remove. Merged upstream

 -- Didier Raboud <didier@raboud.com>  Thu, 28 Jan 2010 15:19:58 +0100

usb-modeswitch-data (20100110-1) unstable; urgency=low

  * Initial release: source split from usb-modeswitch-data.
    (Closes: #564924)
  * Remove the "opt-in" patch to get the rules included again.
    - See http://bugs.debian.org/557610#19
    - Add a note about it in NEWS.Debian
  * Patches:
    + 05_move_wrappers_to_usr.patch 
       Add. Moves wrappers to specific /usr/share/usb_modeswitch
    + 07_SYSFS_to_ATTRS.patch
        Add to fix "later udev versions output loads of syslog warnings"
        (Closes: #560250)

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Jan 2010 16:00:20 +0100

=== debian/control ===
Source: usb-modeswitch-data
Section: comm
Priority: extra
Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Homepage: http://www.draisberghof.de/usb_modeswitch/
Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git

Package: usb-modeswitch-data
Architecture: all
Depends: ${misc:Depends}, udev (>= 0.140-1)
Recommends: usb-modeswitch (>= 1.1.0-1)
Conflicts: usb-modeswitch (<< 1.0.7-1)
Replaces: usb-modeswitch (<< 1.0.7-1)
Description: mode switching data for usb-modeswitch
 Several new USB devices have their proprietary Windows drivers onboard,
 especially WAN dongles. When plugged in for the first time, they act
 like a flash storage and start installing the driver from there. If
 the driver is already installed, the storage device vanishes and
 a new device, such as an USB modem, shows up. This is called the
 "ZeroCD" feature.
 .
 On Debian, this is not needed, since the driver is included as a
 Linux kernel module, such as "usbserial". However, the device still
 shows up as "usb-storage" by default. usb-modeswitch solves that
 issue by sending the command which actually performs the switching
 of the device from "usb-storage" to "usbserial".
 .
 This package contains the commands data needed for usb-modeswitch.

## usb-modeswitch-data 20100826

=== Makefile ===
PROG        = usb-modeswitch-data
VERS        = 20100817
RM          = /bin/rm -f
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
RULESDIR    = $(DESTDIR)/lib/udev/rules.d


.PHONY:     clean

all:

clean:

install: files-install db-install rules-reload

install-packed: files-install db-install-packed rules-reload

files-install:
	install -d $(ETCDIR)/usb_modeswitch.d
	install -D --mode=644 40-usb_modeswitch.rules $(RULESDIR)/40-usb_modeswitch.rules

db-install:
	install --mode=644 -t $(ETCDIR)/usb_modeswitch.d ./usb_modeswitch.d/*

db-install-packed:
	cd ./usb_modeswitch.d; tar -czf ../configPack.tar.gz *
	install --mode=644 -t $(ETCDIR)/usb_modeswitch.d ./configPack.tar.gz
	rm -f ./configPack.tar.gz


rules-reload:
	if [ -f $(ETCDIR)/issue ]; then \
		if [ -n `which udevadm 2>/dev/null` ]; then \
			UDEVADM=`which udevadm`; \
			UDEVADM_VER=`$$UDEVADM -V 2>/dev/null`; \
			if [ -z $$UDEVADM_VER ]; then \
				UDEVADM_VER=`$$UDEVADM --version 2>/dev/null`; \
			fi; \
			if [ $$UDEVADM_VER -gt 127 ]; then \
				$$UDEVADM control --reload-rules; \
			else \
				$$UDEVADM control --reload_rules; \
			fi \
		elif [ `which udevcontrol 2>/dev/null` ]; then \
		`which udevcontrol` reload_rules; \
		fi \
	fi

uninstall: files-uninstall rules-reload

files-uninstall:
	$(RM) $(RULESDIR)/40-usb_modeswitch.rules
	$(RM) -R $(ETCDIR)/usb_modeswitch.d

.PHONY:    clean install uninstall

=== debian/changelog ===
usb-modeswitch-data (20100826-1+squeeze0) stable; urgency=low

  * From upstream release 20101222

  * debian/patches/00_squeeze_new_devices.patch:
    + Add new devices
     [0421:0622] Nokia CS-17
     [0421:0627] Nokia CS-18
     [05c7:1000] Qtronix EVDO 3G Modem (for TianYi)
     [0e8d:7109] MediaTek Wimax USB Card
     [0fd1:1000] GW D301 (Advinne AMC)
     [1004:6190] LG AD600
     [106c:3b05] Pantech / UTStarcom UMW190 (Verizon)
     [12d1:1553] Huawei E1553
     [12d1:1c0b] Huawei E173s
     [16d8:6281] C-motech CHU-628S
     [1edf:6003] AirPlus MCD-800
     [230d:0001] Linktop LW272/LW273 (BSNL Teracom)
  * debian/patches/00_squeeze_enlarge_detection_base.patch:
    × Enlarge devices detection base
     [1410:5010] Novatel Wireless devices
     [19d2:2000] ZTE devices
     [1bbb:f000] Alcatel X200/X200L/X060S
  * debian/patches/00_squeeze_huawei_updates.patch:
    × Correct the modeswitching lines for Huawei devices
     [12d1:101e] Huawei U7510 / U7517
     [12d1:1446] Huawei, newer modems
     [12d1:14ad] Vodafone (Huawei) K3806
     [12d1:14c1] Vodafone (Huawei) K4605
     [12d1:1520] Huawei K3765
     [12d1:1521] Huawei K4505
     [12d1:1523] Huawei R201
     [12d1:1557] Huawei E173

 -- Didier Raboud <didier@raboud.com>  Wed, 23 Feb 2011 18:18:52 +0100

usb-modeswitch-data (20100826-1) unstable; urgency=low

  * New upstream release
   + New devices
    [0b3c:f000] Olivetti Olicard 145
    [1ee8:0009] Onda MW833UP
   × Devices updates
    [05c6:1000] Quirky Option devices

  * Releasing to unstable, thanks to Release Team approval.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 16:28:04 +0200

usb-modeswitch-data (20100817-1~exp0) experimental; urgency=low

  * New upstream release
    + New devices
     [04e8:689a] Samsung GT-B3730
     [12d1:14ad] Vodafone (Huawei) K3806
     [19d2:1013] Vodafone (ZTE) K3806-Z
     [1c9e:9e00] BSNL Capitel
    × Devices updates (see ChangeLog for details)
     [05c6:1000] AnyData devices
     [19d2:2000] ZTE devices (Closes: #590902)
     [1c9e:f000] MobiData MBD-200HU and others
    - Update patches.
  * Add 02_no_tclsh_overhead.patch to avoid hardcoding tclsh path.

  * Bump usb-modeswitch recommend to 1.1.4.

 -- Didier Raboud <didier@raboud.com>  Tue, 24 Aug 2010 00:23:42 +0200

usb-modeswitch-data (20100707-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0421:060c] Nokia CS-10
     [0cf3:20ff] Atheros Wireless / Netgear WNDA3200
     [12d1:1031] Huawei U8110 (Android smartphone)
     [12d1:14c1] Vodafone (Huawei) K4605
     [12d1:1523] Huawei R201
     [1ee8:0013] Onda MW833UP
    × Devices updates (see ChangeLog for details)
     [19d2:****] ZTE devices
    - Update patches.
  * Bump Standards to 3.9.0.0: change a Conflicts to Breaks.

 -- Didier Raboud <didier@raboud.com>  Sun, 18 Jul 2010 22:55:03 +0200

usb-modeswitch-data (20100623-1) unstable; urgency=low

  * New upstream release
    + New device
     [12d1:1557] Huawei E173

 -- Didier Raboud <didier@raboud.com>  Thu, 24 Jun 2010 10:50:36 +0200

usb-modeswitch-data (20100621-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0af0:****] Option HSO devices
     [0b3c:c700] Olivetti Olicard 100 and others
     [0fce:d103] Rogers Rocket Stick (a Sony Ericsson device)
     [1004:613a] LG L-05A
     [1004:613f] LG LUU-2100TI (aka AT&T USBConnect Turbo)
     [19d2:0003] ZTE MU351
     [19d2:0083] ZTE MF110 (Variant)
     [19d2:0103] ZTE MF112
     [1a8d:1000] BandRich BandLuxe C170, BandLuxe C270
    × Devices updates (see ChangeLog for details)
     [1199:0fff] Sierra devices (specific driver)
     [19d2:0026] ZTE AC581
     [19d2:0053] ZTE MF110 (Variant)
     [19d2:0101] Vodafone (ZTE) K4505-Z
     [19d2:0115] ZTE MF651
     [19d2:1001] Vodafone (ZTE) K3805-Z
     [19d2:1007] Vodafone (ZTE) K3570-Z
     [19d2:1009] Vodafone (ZTE) K3571-Z
     [19d2:2000] ZTE devices (Closes: #585021)
     [19d2:fff5] ZTE "fff" devices 1
     [19d2:fff6] ZTE "fff" devices 2

 -- Didier Raboud <didier@raboud.com>  Wed, 23 Jun 2010 11:16:13 +0200

usb-modeswitch-data (20100418-1) unstable; urgency=low

  * New upstream release
     - First version with proper ChangeLog
     - New rule to add a symlink to interrupt ports, thus bump
       recommends on usb-modeswitch to 1.1.2
     + New devices
      [0fce:d0cf] Sony Ericsson MD300
      [1266:1000] Digicom 8E4455 (and all Pirelli devices)
      [1410:5041] Novatel Generic MiFi 2352 / Vodafone MiFi 2352
      [19d2:0040] Vodafone (ZTE) K2525
      [19d2:0101] Vodafone (ZTE) K4505-Z
      [19d2:0115] ZTE MF651
      [19d2:1001] Vodafone (ZTE) K3805-Z
      [19d2:1007] Vodafone (ZTE) K3570-Z
      [19d2:1009] Vodafone (ZTE) K3571-Z
      [1fac:0130] Franklin Wireless U210
     × Devices updates (see ChangeLog for details)
      [056c:2001] D-Link DWM-162-U5, Micromax MMX 300c
      [12d1:1446] Huawei, newer modems
  * Correct typos and dates in debian/copyright.

 -- Didier Raboud <didier@raboud.com>  Mon, 19 Apr 2010 13:59:43 +0200

usb-modeswitch-data (20100322-2) unstable; urgency=low

  * Remove the upstream-deleted files with conffile removal in preinst.

 -- Didier Raboud <didier@raboud.com>  Thu, 25 Mar 2010 13:41:57 +0100

usb-modeswitch-data (20100322-1) unstable; urgency=low

  * New upstream release
    × Devices updates (see README for more details)
      [16d8:6803] There are now two different versions
      [19d2:2000] No more "eject" command (Closes: #574270)

  * Correct dependencies to be on upstream releases and not on debian revisions.
    Thanks Patrick Matthaï for the hint.

 -- Didier Raboud <didier@raboud.com>  Wed, 24 Mar 2010 16:19:58 +0100

usb-modeswitch-data (20100317-1) unstable; urgency=low

  * New upstream release.
    + New devices
      [0482:024d] Kyocera W06K CDMA modem
      [1004:607f] LG HDM-2100 (EVDO Rev.A USB modem)
    × Uses NoDriverLoading, thus recommending usb-modeswitch (>= 1.1.1)

  * Now that I am a DM, add DMUA field to debian/control.


=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <didier@raboud.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0.0
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git
 
 Package: usb-modeswitch-data
 Architecture: all
-Depends: ${misc:Depends}, udev (>= 0.140-1)
-Recommends: usb-modeswitch (>= 1.1.0-1)
-Conflicts: usb-modeswitch (<< 1.0.7-1)
+Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
+Recommends: usb-modeswitch (>= 1.1.4)
+Breaks: usb-modeswitch (<< 1.0.7-1)
 Replaces: usb-modeswitch (<< 1.0.7-1)
 Description: mode switching data for usb-modeswitch
  Several new USB devices have their proprietary Windows drivers onboard,

## usb-modeswitch-data 20101222

=== debian/changelog ===
usb-modeswitch-data (20101222-2~common0charlotte3) lucid; urgency=low

  * Add support for ZTE K3770 (LP: #837638)
  * Add support for ZTE K3772 (LP: #837638)
  * Turn Huawei K3770 support into a patch. This prevents us from generating
    a debian-changes patch during build time.

 -- Alex Chiang <achiang@canonical.com>  Thu, 22 Sep 2011 17:33:58 -0600

usb-modeswitch-data (20101222-2~common0charlotte2) lucid; urgency=low

  * Add support for Huawei K3770 (LP: #717315)

 -- Alex Chiang <achiang@canonical.com>  Fri, 08 Apr 2011 08:34:58 -0600

usb-modeswitch-data (20101222-2~common0charlotte1) lucid; urgency=low

  * Backport from Natty

 -- Alex Chiang <achiang@canonical.com>  Fri, 11 Feb 2011 12:46:49 -0700

usb-modeswitch-data (20101222-2) experimental; urgency=low

  * Add a usb-modeswitch-data-packed package that ships the compressed
    switching data (Closes: #578024)
  * Add 02_umdp_archive_in_usr.patch to install the archive to /usr/share
    instead of /etc

  * Use my new @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Jan 2011 13:04:05 +0100

usb-modeswitch-data (20101222-1) experimental; urgency=low

  * New upstream release
    + New devices
     [0e8d:7109] MediaTek Wimax USB Card
     [16d8:6281] C-motech CHU-628S
    × Devices updates
     [1a8d:1000] BandRich BandLuxe C100, C120, C170, C270
  * Remove 02_no_tclsh_overhead patch; merged upstream.
  * Bump Standards to 3.9.1 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Jan 2011 17:13:04 +0100

usb-modeswitch-data (20101202-1) experimental; urgency=low

  * New upstream release 
    + New devices
     [12d1:1553] Huawei E1553
     [12d1:1c0b] Huawei E173s
     [230d:0001] Linktop LW272/LW273 (BSNL Teracom) (LP: #673459)
    × Devices updates (see ChangeLog for details)
     [0471:1210] Vodafone MD950 (Wisue Technology)
     [0471:1237] Philips TalkTalk (NXP Semiconductors "Dragonfly")
     [05c6:2001] D-Link DWM-162-U5, Micromax MMX 300c
     [0930:0d46] Toshiba G450
     [0fce:d103] Sony Ericsson MD400G
     [1004:607f] LG HDM-2100 (EVDO Rev.A USB modem)
    - Refresh patches.

 -- Didier Raboud <didier@raboud.com>  Fri, 03 Dec 2010 10:09:36 +0100

usb-modeswitch-data (20101128-1) experimental; urgency=low

  * New upstream release
    + New devices
     [0421:0622] Nokia CS-17
     [0421:0627] Nokia CS-18
     [05c7:1000] Qtronix EVDO 3G Modem (for TianYi)
     [0d46:45a1] Kobil mIdentity 3G (1)
     [0d46:45a5] Kobil mIdentity 3G (2)
     [0fd1:1000] GW D301 (Advinne AMC)
     [1004:6190] LG AD600
     [106c:3b05] Pantech / UTStarcom UMW190 (Verizon) (LP: #657129)
     [1edf:6003] AirPlus MCD-800
    × Devices updates (see ChangeLog for details)
     [0482:024d] Kyocera W06K CDMA modem
     [12d1:****] Huawei devices
     [1410:5010] Novatel Wireless devices
     [19d2:****] ZTE devices
     [1a8d:1000] BandRich BandLuxe C100, C120, C170, C270 (merge)
     [1bbb:f000] Alcatel X200/X200L/X060S
    - Refresh patches.

  * Bump usb-modeswitch Recommends and Breaks against to 1.1.5

 -- Didier Raboud <didier@raboud.com>  Wed, 01 Dec 2010 16:02:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: usb-modeswitch-data
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <didier@raboud.com>
-DM-Upload-Allowed: yes
+Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.0.0
+Standards-Version: 3.9.1.0
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git
@@ -12,9 +11,10 @@
 Package: usb-modeswitch-data
 Architecture: all
 Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
-Recommends: usb-modeswitch (>= 1.1.4)
-Breaks: usb-modeswitch (<< 1.0.7-1)
+Recommends: usb-modeswitch (>= 1.1.5)
+Breaks: usb-modeswitch (<< 1.1.5)
 Replaces: usb-modeswitch (<< 1.0.7-1)
+Conflicts: usb-modeswitch-data-packed
 Description: mode switching data for usb-modeswitch
  Several new USB devices have their proprietary Windows drivers onboard,
  especially WAN dongles. When plugged in for the first time, they act
@@ -30,3 +30,27 @@
  of the device from "usb-storage" to "usbserial".
  .
  This package contains the commands data needed for usb-modeswitch.
+
+Package: usb-modeswitch-data-packed
+Architecture: all
+Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
+Recommends: usb-modeswitch (>= 1.1.5)
+Breaks: usb-modeswitch (<< 1.1.5)
+Conflicts: usb-modeswitch-data
+Provides: usb-modeswitch-data
+Description: mode switching data for usb-modeswitch, packed version
+ Several new USB devices have their proprietary Windows drivers onboard,
+ especially WAN dongles. When plugged in for the first time, they act
+ like a flash storage and start installing the driver from there. If
+ the driver is already installed, the storage device vanishes and
+ a new device, such as an USB modem, shows up. This is called the
+ "ZeroCD" feature.
+ .
+ On Debian, this is not needed, since the driver is included as a
+ Linux kernel module, such as "usbserial". However, the device still
+ shows up as "usb-storage" by default. usb-modeswitch solves that
+ issue by sending the command which actually performs the switching
+ of the device from "usb-storage" to "usbserial".
+ .
+ This package contains the commands data needed for usb-modeswitch, packed in
+ a gzipped tarball.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

# Pack the rules for usb-modeswitch-data-packed
override_dh_auto_install:
	dh_auto_install -- db-install-packed

## usb-modeswitch-data 20110227

=== Makefile ===
PROG        = usb-modeswitch-data
VERS        = 20110227
RM          = /bin/rm -f
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
RULESDIR    = $(DESTDIR)/lib/udev/rules.d


.PHONY:     clean

all:

clean:

install: files-install db-install rules-reload

install-packed: files-install db-install-packed rules-reload

files-install:
	install -d $(PREFIX)/share/usb_modeswitch
	install -D --mode=644 40-usb_modeswitch.rules $(RULESDIR)/40-usb_modeswitch.rules

db-install:
	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./usb_modeswitch.d/*

db-install-packed:
	cd ./usb_modeswitch.d; tar -czf ../configPack.tar.gz *
	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./configPack.tar.gz
	rm -f ./configPack.tar.gz


rules-reload:
	if [ -f $(ETCDIR)/issue ]; then \
		UDEVADM=`which udevadm 2>/dev/null`; \
		if [ "x$$UDEVADM" != "x" ]; then \
			UDEVADM_VER=`$$UDEVADM -V 2>/dev/null`; \
			if [ -z $$UDEVADM_VER ]; then \
				UDEVADM_VER=`$$UDEVADM --version 2>/dev/null`; \
			fi; \
			if [ $$UDEVADM_VER -gt 127 ]; then \
				$$UDEVADM control --reload-rules; \
			else \
				$$UDEVADM control --reload_rules; \
			fi \
		elif [ `which udevcontrol 2>/dev/null` ]; then \
		`which udevcontrol` reload_rules; \
		fi \
	fi

uninstall: files-uninstall rules-reload

files-uninstall:
	$(RM) $(RULESDIR)/40-usb_modeswitch.rules
	$(RM) -R $(PREFIX)/share/usb_modeswitch

.PHONY:    clean install uninstall

=== debian/changelog ===
usb-modeswitch-data (20110227-2) unstable; urgency=low

  * Remove leftover 1a8d:1000:uPr=5G conffile (Closes: #618638).
  * debian/*.postinst: In the handling of modified configuration files,
    replace the 'rename' call (producing errors) by a 'find -exec rename'
    (cleaner).

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Mar 2011 09:40:36 +0100

usb-modeswitch-data (20110227-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0421:060c] Nokia CS-10
     [0cf3:20ff] Atheros Wireless / Netgear WNDA3200
     [12d1:1031] Huawei U8110 / Joy, Vodafone 845 (Android smartphone)
     [12d1:14c1] Vodafone (Huawei) K4605
     [12d1:1523] Huawei R201
     [19d2:0003] ZTE MU351
     [19d2:0026] ZTE AC581
     [1ee8:0013] Onda MW833UP
    × Devices updates (see ChangeLog for details)
     [19d2:0040] Vodafone (ZTE) K2525
     [19d2:0053] ZTE MF110 (Variant)
     [19d2:0103] ZTE MF112
     [19d2:2000] ZTE devices

  * Bump usb-modeswitch relationships to >= 1.1.7.
  * Ship the packed rules under in the usb-modeswitch-data package, hence drop
    usb-modeswitch-data-packed (Closes: #612690).
    - Remove the -packed package.
    - Update install files, no database entries outside of the tarball anymore
      (Closes: #577853).
    - Update building rules.
    - Add Replaces/Conflicts/Provides on usb-modeswitch-data to -packed.
    - Add all past configuration files to
      debian/usb-modeswitch-data.maintscript.
  * Patches:
    × Refresh 01_no_udev_reload.patch.
    - Remove 02_umdp_archive_in_usr.patch: Obsoleted by upstream changes.
  * Name the maintscript debhelper file correctly (-data had been forgotten).
  * Ship the /etc/usb_modeswitch.d directory, together with a lintian
    override (it is meant to stay empty).
  * Add a postinst snippet to keep the admin-modified database entries
    in place.
  * Add a README.Debian to explain the overriding mechanism.
  * Add a NEWS entry to explain the raw database disappearing.
  * Add debian/gen_dch.sh to generate the nice changelog entries.
  * Also bump debhelper compat (was forgotten).

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Mar 2011 14:09:43 +0100

usb-modeswitch-data (20101222-3) unstable; urgency=low

  * Upload to unstable
  * Use new dh_installdeb maintscript possibility:
    - Bump debhelper Build-Depends to 8.1.0
    - Add Pre-Depends on ${misc:Pre-Depends} to usb-modeswitch-data
    - Remove usb-modeswitch-data.preinst
    - Add usb-modeswitch-data.maintscript

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Feb 2011 14:35:48 +0100

=== debian/control ===
Source: usb-modeswitch-data
Section: comm
Priority: extra
Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.1.0)
Standards-Version: 3.9.1.0
Homepage: http://www.draisberghof.de/usb_modeswitch/
Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git

Package: usb-modeswitch-data
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
Recommends: usb-modeswitch (>= 1.1.7)
Breaks: usb-modeswitch (<< 1.1.7)
Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
Conflicts: usb-modeswitch-data-packed
Provides: usb-modeswitch-data-packed
Description: mode switching data for usb-modeswitch
 Several new USB devices have their proprietary Windows drivers onboard,
 especially WAN dongles. When plugged in for the first time, they act
 like a flash storage and start installing the driver from there. If
 the driver is already installed, the storage device vanishes and
 a new device, such as an USB modem, shows up. This is called the
 "ZeroCD" feature.
 .
 On Debian, this is not needed, since the driver is included as a
 Linux kernel module, such as "usbserial". However, the device still
 shows up as "usb-storage" by default. usb-modeswitch solves that
 issue by sending the command which actually performs the switching
 of the device from "usb-storage" to "usbserial".
 .
 This package contains the commands data needed for usb-modeswitch.

## usb-modeswitch-data 20110805

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 20110227
+VERS        = 20110805
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc
@@ -18,6 +18,7 @@
 
 files-install:
 	install -d $(PREFIX)/share/usb_modeswitch
+	install -d $(ETCDIR)/usb_modeswitch.d
 	install -D --mode=644 40-usb_modeswitch.rules $(RULESDIR)/40-usb_modeswitch.rules
 
 db-install:
@@ -27,7 +28,6 @@
 	cd ./usb_modeswitch.d; tar -czf ../configPack.tar.gz *
 	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./configPack.tar.gz
 	rm -f ./configPack.tar.gz
-
 
 rules-reload:
 	if [ -f $(ETCDIR)/issue ]; then \

=== debian/changelog ===
usb-modeswitch-data (20110805-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0af0:****] Option HSO devices
     [12d1:14b7] Vodafone (Huawei) K4511
     [12d1:14c5] Vodafone (Huawei) K4510
     [1307:1169] Cisco AM10 "Valet Connector"
     [19d2:1171] Vodafone (ZTE) K4510-Z
     [19d2:1175] Vodafone (ZTE) K3770-Z
     [19d2:1179] Vodafone (ZTE) K3772-Z
    - Configuration cleaning
     [0471:1210] Vodafone MD950 (Wisue Technology) (was superfluous).

  * Bump usb-modeswitch relationships to >= 1.1.9.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 17:08:41 +0200

usb-modeswitch-data (20110714-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0af0:7a05] Option iCon 461
     [12d1:14c4] Vodafone/Huawei K3771
     [12d1:14d1] Vodafone/Huawei K3770
     [12d1:1505] Huawei EC156
     [19d2:bccd] ZTE AX226 WiMax
     [1c9e:9800] Longcheer SU9800
     [2020:f00e] SpeedUp SU-8000U
    × Devices updates (see ChangeLog for details)
     [0df7:0800] Mobile Action ("Smart Cable")
     [1a8d:1000] BandRich BandLuxe C100, C120, C170, C270, C3xx

 -- Didier Raboud <odyx@debian.org>  Fri, 15 Jul 2011 19:36:46 +0200

usb-modeswitch-data (20110619-1) unstable; urgency=low

  * New upstream release
    + New devices
     [03f0:002a] HP LaserJet Professional P1102
     [0471:1210] Vodafone MD950 (Wisue Technology)
     [05c6:1000:sVe=GT] Option GlobeTrotter GX0201
     [07d1:a804] D-Link DWM-156 HSUPA 3.75G USB Modem
     [0df7:0800] Mobile Action ("Smart Cable", will vanish)
     [12d1:1030] Huawei U8220, T-Mobile Pulse (Android smartphone)
     [12d1:14b5] Huawei E173 (Viettel 3G)
     [12d1:14fe] T-Mobile NL (Huawei E352)
     [148e:a000] Sequans SQN1210/SQN1220 (generic chipsets)
     [16d8:700b] C-motech CHU-629S (Variant)
     [198a:0003] JOA Telecom LM-700r
     [19d2:0013] Vodafone/ZTE K3806-Z
     [19d2:0149] ZTE MF190 (Variant)
     [19d2:1201] ZTE MF691 (T-Mobile Rocket 2.0)
     [19d2:1216] ZTE MF192
     [19d2:1224] ZTE MF190
     [19d2:ffe6] ZTE "ffe" devices 1 (e.g. Cricket A605)
     [230d:0007] Visiontek 82GH 3G
    × Devices updates (see ChangeLog for details)
     [072f:100d] InfoCert Business Key (SmartCard/Reader emulation)
     [0b3c:f000] Olivetti Olicard 145, 155
     [12d1:1446] Huawei, newer modems (LP: #776959)
     [1c9e:f000] MobiData MBD-200HU and others

  * Refresh patches.
  * Bump usb-modeswitch relationships to >= 1.1.8.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jun 2011 10:17:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 8.1.0)
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git
@@ -12,8 +12,8 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
-Recommends: usb-modeswitch (>= 1.1.7)
-Breaks: usb-modeswitch (<< 1.1.7)
+Recommends: usb-modeswitch (>= 1.1.9)
+Breaks: usb-modeswitch (<< 1.1.9)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20111023

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 20110805
+VERS        = 20111023
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc
@@ -25,12 +25,15 @@
 	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./usb_modeswitch.d/*
 
 db-install-packed:
-	cd ./usb_modeswitch.d; tar -czf ../configPack.tar.gz *
+	@# Create a compressed tar without gzip timestamp, so tar.gz
+	@# differs only if content is different
+	cd ./usb_modeswitch.d; tar -cf ../configPack.tar *
+	gzip -f9n ./configPack.tar
 	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./configPack.tar.gz
 	rm -f ./configPack.tar.gz
 
 rules-reload:
-	if [ -f $(ETCDIR)/issue ]; then \
+	@if [ -f $(ETCDIR)/issue ]; then \
 		UDEVADM=`which udevadm 2>/dev/null`; \
 		if [ "x$$UDEVADM" != "x" ]; then \
 			UDEVADM_VER=`$$UDEVADM -V 2>/dev/null`; \

=== debian/changelog ===
usb-modeswitch-data (20111023-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0421:062c] Nokia CS-19
     [04e8:f000:sMo=U209] Samsung U209, renamed from [04e8:f000].
     [05c6:6503] AnyDATA APE-540H
     [12d1:1d50] Huawei ET302
     [1410:5059] Novatel Wireless MC545 HSPA
     [16d8:6804] C-motech CDU-685a
     [19d2:0166] ZTE MF820 4G LTE
     [19d2:1517] ZTE MF192 (Variant)
     [19d2:ffde] ZTE AC682 (a.k.a. SmartFren Connex)
     [1bbb:f052] Alcatel OT X220L
     [1da5:f000] Qisda H21 Flying Beetle
     [1de1:1101] Philips PicoPix 1020 Projector
     [1e89:f000] 3GO 3GO11 HSUPA
    × Devices updates (see ChangeLog for details)
     [12d1:14b5] Huawei E173 (Viettel 3G)
     [19d2:2000] ZTE devices

  * Fix the unpacking command in the overriding documentation.
  * Bump usb-modeswitch relationships to >= 1.2.0.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 09:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
-Recommends: usb-modeswitch (>= 1.1.9)
-Breaks: usb-modeswitch (<< 1.1.9)
+Recommends: usb-modeswitch (>= 1.2.0)
+Breaks: usb-modeswitch (<< 1.2.0)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20120120

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 20111023
+VERS        = 20120120
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc

=== debian/changelog ===
usb-modeswitch-data (20120120-0ubuntu1) precise; urgency=low

  * New upstream release.
    - reduced redundancies in parameters, resulting in smaller files
    - Added devices:
      + Air FlexiNet/StrongRising
      + BandLuxe C339
      + Celot CT-680
      + C-motech CDU-685a
      + Huawei E353
      + Haier CE682
      + LG L-02C LTE
      + LG SD711
      + LG L-08C
      + LG L-07A
      + I-O Data WMX2-U
      + Option GI1515
      + Qisda H21 "Flying Beetle"
      + ZTE A371B
      + ZTE MF652 (two Variants)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 10 Feb 2012 11:36:41 -0500

usb-modeswitch-data (20111023-1ubuntu1) precise; urgency=low

  * debian/control: Lower usb-modeswitch dependency back to >= 1.1.9, to
    make packages and Precise daily ISO installable again. Nothing fundamental
    changed in this version of -data, 1.2.0 is now just the recommended
    version (1.0.3 is the minimum required one).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 05 Nov 2011 07:32:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: usb-modeswitch-data
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 8.1.0)
 Standards-Version: 3.9.2.0
 Homepage: http://www.draisberghof.de/usb_modeswitch/
@@ -12,8 +13,8 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
-Recommends: usb-modeswitch (>= 1.2.0)
-Breaks: usb-modeswitch (<< 1.2.0)
+Recommends: usb-modeswitch (>= 1.1.9)
+Breaks: usb-modeswitch (<< 1.1.9)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20120815

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 20120120
+VERS        = 201200815
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc

=== debian/changelog ===
usb-modeswitch-data (20120815-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Dec 2012 10:45:07 +0100

usb-modeswitch-data (20120815-2) unstable; urgency=low

  * Backport 20121109 upstream device updates:
    + New devices
     [0421:0632] Nokia CS-7M-01
     [05c6:1000:uMa=StrongRising] StrongRising device
     [1004:6156] LG LUU-2110TI
     [1004:61aa] LG VL600
     [1004:6327] LG L-03D LTE/3G
     [106c:3b14] Option Beemo / Pantech P4200 LTE
     [12d1:14ba] Huawei E173u-2, E177
     [12d1:151a] Huawei E392u-12
     [12d1:1526] Vodafone / Huawei K3772
     [12d1:155b] Huawei E171
     [12d1:1f11] Vodafone / Huawei K3773
     [1410:7001] Novatel Generic MiFi 2372 / Vodafone MiFi 2372
     [19d2:0083] ZTE MF110 (Variant)
     [19d2:1523] ZTE MF591 TMobile
     [19d2:1542] ZTE MF190J
     [1bbb:000f] ETCOM E300
     [1ee8:0054] Onda MW875UP
     [1fac:0150] Franklin Wireless U600
     [1fac:0151] Franklin Wireless U600
    × Device updates (see Changelog for details)
     [0421:0627] Nokia CS-18
     [0e8d:0002:uPr=MT] MediaTek MT6276M
     [1199:0fff] Sierra devices (specific driver)
     [12d1:1446] Huawei, newer modems
     [12d1:14d1] Vodafone / Huawei K3770
     [12d1:14fe] T-Mobile NL (Huawei E352)
     [12d1:1505] Huawei EC156, Huawei E372u-8
     [12d1:1c0b] Huawei E173s
     [12d1:1da1] Huawei ET8282, Huawei ET127
     [16d8:6803] C-motech D-50 (aka "CDU-680", "CNU-680")
     [19d2:0154] ZTE MF190 (Variant) and others
     [19d2:1175] Vodafone / ZTE K3770-Z
     [19d2:1216] ZTE MF192+
     [19d2:2000] ZTE devices
     [1ab7:5700] Hummer DTM5731, Aircard 901
     [1bbb:f000] Alcatel X200/X200L/X060S, Archos G9 3G Key
     [1ee8:0013] Onda MW833UP
     [1ee8:0040] Onda MW836UP-K
     [21f5:1000] StrongRising (China Telcom), Air FlexiNet

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Nov 2012 11:09:31 +0100

usb-modeswitch-data (20120815-1) unstable; urgency=low

  * New upstream release.
    + New devices
     [0421:061d] Nokia CS-11
     [0922:1001] Dymo LabelManager
     [0af0:8700] Option GI0643 (aka XYFI)
     [15eb:7153] China TeleCom CBP7.0
     [19d2:0154] ZTE MF190 (Variant)
     [19d2:0325] ZTE MF821D
     [19d2:1017] Vodafone K5006Z (MF821)
     [1bbb:00ca] Alcatel OT-X080C
     [1bbb:f017] Alcatel OT-X220D
     [1ee8:004a] Onda MDC655
     [22de:6803] WeTelecom WM-D300
     [230d:0101] Linktop LW272/LW273
     [2357:0200] TP-Link MA180
    × Devices updates (see ChangeLog for details)
     [12d1:14fe] Small target ID addition for Huawei E352
     [1410:5059] Fix config for Novatel MC545
     [16d8:6803] Updated config for C-motech D-50
     [19d2:2000] Add one more TargetProduct
    × Changes in "rules" file (interface number filters) to reflect
      recent reports.

  * Minor update to the gen_dch helper script to be stricter when
    parsing git diff.

 -- Didier Raboud <odyx@debian.org>  Tue, 28 Aug 2012 11:21:02 +0200

usb-modeswitch-data (20120531-1) unstable; urgency=low

  * New upstream release.
    - [19d2:0083:uPr=WCDMA] ZTE MF110 (Variant); small but important fix
      for ZTE Blade phone; specifying the "USB Product" avoids
      modeswitching a device that doesn't need it.

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jul 2012 12:00:00 -0600

usb-modeswitch-data (20120529-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Jul 2012 23:40:16 +0200

usb-modeswitch-data (20120529-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0408:f000] Yota Router (Quanta 1QDLZZZ0ST2)
     [0421:0637] Nokia CS-21M-02
     [04e8:680c] Samsung GT-B1110
     [0af0:4007] Option iCon 711
     [0af0:8006] Option Globetrotter (Variant)
     [0e8d:0002] MediaTek MT6276M
     [109b:f009] Hisense E910 EVDO Phone
     [12d1:14c3] K5005 Vodafone/Huawei
     [12d1:1c24] Huawei E173 (Moviestar)
     [19d2:0031] ZTE MF637
     [19d2:1514] ZTE MF192 (yet annother variant)
     [1c9e:98ff] Telewell TW-3G HSPA+
     [1ee8:0060] Onda MSA 14.4 (TIM Brasil)
     [2001:a80b] D-Link DWM-156 (Variant)
     [2077:f000] Telenet 3G dongle (T&W WU160)
     [22f4:0021] Tata Photon+
    × Some target product ID additions.
    × Skip driver loading for some devices now supported by dedicated
      drivers.
    × Minor fine tuning and corrections

  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 31 May 2012 11:07:32 +0200

usb-modeswitch-data (20120120-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Mar 2012 17:55:07 +0100

usb-modeswitch-data (20120120-1) unstable; urgency=low

  * New upstream release
    + New devices
     [04bb:bccd] I-O Data WMX2-U Wimax
     [05c6:1000] Celot CT-680
     [0af0:7706] Option HSO device
     [0af0:d001] Option GlobeTrotter GI1515
     [1004:614e] LG L-07A
     [1004:61dd] LG L-02C LTE
     [1004:61e7] LG SD711
     [1004:61eb] LG L-08C (NTT docomo)
     [12d1:1f01] Huawei E353 (3.se)
     [19d2:0146] ZTE MF652 (Variant)
     [19d2:0169] ZTE A371B
     [19d2:1520] ZTE MF652
     [1a8d:2000] BandRich BandLuxe C339
     [201e:1023] Haier CE682 (EVDO)
     [21f5:1000] StrongRising (China Telcom), Air FlexiNet
    × Reduced redundancies in parameters, resulting in smaller files.

  * Demote udev Depends to Recommends without alternative.
    (Closes: #649233)
  * Bump relationships to usb-modeswitch to >= 1.2.1.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Feb 2012 15:33:59 +0100

usb-modeswitch-data (20111023-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Nov 2011 16:54:14 +0100

usb-modeswitch-data (20110805-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Didier Raboud <odyx@debian.org>  Wed, 31 Aug 2011 16:13:47 +0200



=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: usb-modeswitch-data
 Section: comm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 8.1.0)
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git
@@ -12,9 +11,9 @@
 Package: usb-modeswitch-data
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, udev (>= 0.140) | not+linux-gnu
-Recommends: usb-modeswitch (>= 1.1.9)
-Breaks: usb-modeswitch (<< 1.1.9)
+Depends: ${misc:Depends}
+Recommends: usb-modeswitch (>= 1.2.1), udev (>= 0.140)
+Breaks: usb-modeswitch (<< 1.2.1)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20140327

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 201200815
+VERS        = 20140327
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc
@@ -8,20 +8,24 @@
 
 .PHONY:     clean
 
-all:
+all: 40-usb_modeswitch.rules
 
 clean:
+	$(RM) 40-usb_modeswitch.rules
 
-install: files-install db-install rules-reload
+install: all files-install db-install rules-reload
 
 install-packed: files-install db-install-packed rules-reload
 
-files-install:
+files-install: 
 	install -d $(PREFIX)/share/usb_modeswitch
 	install -d $(ETCDIR)/usb_modeswitch.d
 	install -D --mode=644 40-usb_modeswitch.rules $(RULESDIR)/40-usb_modeswitch.rules
 
-db-install:
+40-usb_modeswitch.rules:
+	./gen-rules.tcl
+
+db-install: files-install
 	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./usb_modeswitch.d/*
 
 db-install-packed:

=== debian/changelog ===
usb-modeswitch-data (20140327-1) unstable; urgency=low

  * New upstream release
    + New devices
     [12d1:157c] Huawei E3276-s150
     [12d1:157d] Huawei E3331
     [19d2:0318] ZTE MF821D/MF826
     [19d2:1207] ZTE MF192 (Variant)
     [19d2:1210] ZTE MF195
     [19d2:1219] ZTE MF192 (Variant)
     [19d2:1233] ZTE MFxxx
     [19d2:1238] ZTE MF825A
     [19d2:1511] ZTE MFxxx
     [19d2:1536] ZTE MF190J

  * Bump Recommends/Breaks against usb-modeswitch to 2.1.1

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Apr 2014 13:35:33 +0200

usb-modeswitch-data (20140129-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0685:2000] ZE-3G 7.2Mbs HSPA modem
     [12d1:1f1b] Vodafone / Huawei Kxxxx
     [12d1:1f1c] Vodafone / Huawei Kxxxx
     [12d1:1f1d] Vodafone / Huawei Kxxxx
     [12d1:1f1e] Vodafone / Huawei Kxxxx
     [19d2:1030] Vodafone K5008-z (MF823)

  * Bump Recommends/Breaks against usb-modeswitch to 2.1.0
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Feb 2014 14:24:06 +0100

usb-modeswitch-data (20131113-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0408:ea17] Quanta 1KR / USB-lte 7410
     [0408:ea43] Quanta MobileGenie 4G lte
     [057c:62ff] AVM Fritz!Wlan USB Stick N v2
     [05c6:9024] Alcatel-sbell ASB TL131 TD-LTE
     [12d1:1f16] Vodafone K5150
     [12d1:1f17] Vodafone K4201
     [12d1:1f18] Vodafone K4202
     [12d1:1f19] Vodafone K4606
     [19d2:0304] ZTE MF821D (Variant)
     [19d2:1225] ZTE MF668 (Variant), MF70
     [19d2:2004] ZTE MF60
     [1bbb:011f] Haier EVDO Rev. A

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Nov 2013 10:40:00 +0100

usb-modeswitch-data (20130807-1) unstable; urgency=low

  * New upstream release
    + New devices
     [0408:ea25] Quanta 1K3 LTE
     [0fca:8020] BlackBerry Q10 and Z10
     [10a9:6080] Pantech LTE Modem
     [12d1:156a] Huawei E3276s-151 and E3251
     [12d1:1f15] Huawei K4305
     [230d:0103] Teracom LW272
     [2357:f000] TP-Link MA260
  * Bump Recommends/Breaks against usb-modeswitch to 1.2.7

 -- Didier Raboud <odyx@debian.org>  Tue, 17 Sep 2013 13:22:45 +0200

usb-modeswitch-data (20130610-1) unstable; urgency=low

  * New upstream release
    - Fixed rules file and gen-rules script to make the symlink rule
      append instead of replace (thanks to John Hedges)
      Closes: #698284

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Jun 2013 09:50:29 +0200

usb-modeswitch-data (20130607-1) unstable; urgency=low

  * New upstream release
    - Included simple TCL script to regenerate rules file from configs
    + New devices
     [0421:0618] Nokia CS-12
     [04cc:225c] Alcatel-Lucent T930S
     [05c6:0010] Axesstel Modems (w/ initial idProduct 0x0010)
     [0af0:9200] Option HSO device
     [106c:3b11] Pantech UML290
     [12d1:1805] Huawei U2800 Phone
     [12d1:1c1b] Huawei GP02 (E587 Variant)
     [12d1:1f03] KDDI (Huawei) HWD12 LTE
     [1410:5023] Novatel MC996D
     [1726:f00e] Axesstel MU130
     [19d2:0150] ZTE MF656A, MF668A, MF669
     [19d2:0266] Onda MT8205 LTE
     [19d2:1227] ZTE MF680
     [19d2:1528] ZTE MF196
     [1c9e:9e08] Explay Slim
     [1ee8:0063] Onda TM201 14.4 (TIM Italy)
     [1ee8:0068] Onda WM301
     [2001:a706] D-Link DWM-156 (Variant)
     [2001:a707] D-Link DWM-156 (Variant)
     [2001:a708] D-Link DWM-156 (Variant)
     [2001:a805] D-Link DWR-510
     [2020:0002] Mediatek MT6229
     [2077:1000] Changhong CH690
     [22de:6801] WeTelecom WM-D200
  * Build-depend on tcl to allow the rebuild of rules file at
    build-time.
  * Refresh patches.
  * Bump Recommends/Breaks against usb-modeswitch to 1.2.6.

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Jun 2013 18:04:35 +0200

usb-modeswitch-data (20121109-3) unstable; urgency=low

  * Upload to unstable.
  * Revert "Bump Standards-Version without changes needed", due to too
    much muscle-memory.

 -- Didier Raboud <odyx@debian.org>  Mon, 06 May 2013 18:33:34 +0200

usb-modeswitch-data (20121109-2) experimental; urgency=low

  * Bump Recommends/Breaks against usb-modeswitch to 1.2.5.
   (Closes: #698413)
  * Bump Standards-Version to 3.9.5 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Jan 2013 11:58:01 +0100

usb-modeswitch-data (20121109-1) experimental; urgency=low

  * New upstream release.
    - Preparation for future MBIM devices: new "NoMBIMCheck" config parameter
    - Change in modem rules (match devices, not interfaces), best used
      with usb_modeswitch 1.2.5 and up.
    + New devices
     [0421:0632] Nokia CS-7M-01
     [05c6:1000:uMa=StrongRising] StrongRising device
     [1004:6156] LG LUU-2110TI
     [1004:61aa] LG VL600
     [1004:6327] LG L-03D LTE/3G
     [106c:3b14] Option Beemo / Pantech P4200 LTE
     [12d1:14ba] Huawei E173u-2, E177
     [12d1:151a] Huawei E392u-12
     [12d1:1526] Vodafone / Huawei K3772
     [12d1:155b] Huawei E171
     [12d1:1f11] Vodafone / Huawei K3773
     [1410:7001] Novatel Generic MiFi 2372 / Vodafone MiFi 2372
     [19d2:0083] ZTE MF110 (Variant)
     [19d2:1523] ZTE MF591 TMobile
     [19d2:1542] ZTE MF190J
     [1bbb:000f] ETCOM E300
     [1ee8:0054] Onda MW875UP
     [1fac:0150] Franklin Wireless U600
     [1fac:0151] Franklin Wireless U600
    × Device updates (see Changelog for details)
     [0421:0627] Nokia CS-18
     [0e8d:0002:uPr=MT] MediaTek MT6276M
     [1199:0fff] Sierra devices (specific driver)
     [12d1:1446] Huawei, newer modems
     [12d1:14d1] Vodafone / Huawei K3770
     [12d1:14fe] T-Mobile NL (Huawei E352)
     [12d1:1505] Huawei EC156, Huawei E372u-8
     [12d1:1c0b] Huawei E173s
     [12d1:1da1] Huawei ET8282, Huawei ET127
     [16d8:6803] C-motech D-50 (aka "CDU-680", "CNU-680")
     [19d2:0154] ZTE MF190 (Variant) and others
     [19d2:1175] Vodafone / ZTE K3770-Z
     [19d2:1216] ZTE MF192+
     [19d2:2000] ZTE devices
     [1ab7:5700] Hummer DTM5731, Aircard 901
     [1bbb:f000] Alcatel X200/X200L/X060S, Archos G9 3G Key


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.1.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), tcl
+Standards-Version: 3.9.5
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch-data.git
@@ -12,8 +12,8 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: usb-modeswitch (>= 1.2.1), udev (>= 0.140)
-Breaks: usb-modeswitch (<< 1.2.1)
+Recommends: usb-modeswitch (>= 2.1.1), udev (>= 0.140)
+Breaks: usb-modeswitch (<< 2.1.1)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed
